package e4.simple.dynamic.toolbar;

import javax.annotation.PostConstruct;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Text;

public class TextToolControl {
	@PostConstruct
	public void createControls(Composite parent) {
		createTextbox(parent, "OneTooltip");
	}

	private Control createTextbox(Composite parent, String toolTipText) {
		final Text textBox = new Text(parent, SWT.SINGLE | SWT.BORDER);
		textBox.setToolTipText(toolTipText);
		textBox.setVisible(true);
		return textBox;
	}
}